DNS 모니터링
GET https://uptime4.com/api/dns-monitors/
curl --request GET \
--url 'https://uptime4.com/api/dns-monitors/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/dns-monitors/' \
--header 'Authorization: Bearer {api_key}' \
| 매개변수 | 세부사항 | 설명 |
|---|---|---|
| search | 선택 사항 문자열 | 검색 문자열. |
| search_by | 선택 사항 문자열 | 어떤 필드로 검색하고 있습니까? 허용되는 값은: name, target. |
| is_enabled | 선택 사항 부울 | |
| project_id | 선택 사항 정수 | |
| datetime_field | 선택 사항 문자열 | 허용된 값: datetime, last_datetime, last_check_datetime, last_change_datetime |
| datetime_start | 선택 사항 문자열 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | 선택 사항 문자열 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | 선택 사항 문자열 | 결과를 정렬할 필드. 허용되는 값은: dns_monitor_id, datetime, last_datetime, last_check_datetime, last_change_datetime, total_checks, total_changes, name. |
| order_type | 선택 사항 문자열 | 결과의 정렬. 허용되는 값은 ASC로 오름차순 정렬, DESC로 내림차순 정렬입니다. |
| page | 선택 사항 정수 | 결과를 원하는 페이지 번호입니다. 기본값은 1입니다. |
| results_per_page | 선택 사항 정수 | 페이지당 원하는 결과 수는 얼마입니까? 허용되는 값은: 10, 25, 50, 100, 250, 500, 1000. 기본값은 25입니다. |
{
"data": [
{
"id": 1,
"project_id": 0,
"name": "Sample",
"target": "example.com",
"dns": {
"A": [
{
"host": "example.com",
"ip": "12.12.12.12"
}
],
"CNAME": [],
"HINFO": [],
"CAA": [],
"MX": [],
...
},
"notifications": [1],
"settings": {
"dns_check_interval_seconds": 300
},
"total_checks": 1,
"total_changes": 0,
"last_check_datetime": "2024-01-03 01:48:42",
"next_check_datetime": "2024-01-03 01:49:13",
"last_change_datetime": null,
"is_enabled": true,
"datetime": "2026-04-21 02:09:35",
"last_datetime": null
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://uptime4.com/api/dns-monitors?page=1",
"last": "https://uptime4.com/api/dns-monitors?page=1",
"next": null,
"prev": null,
"self": "https://uptime4.com/api/dns-monitors?page=1"
}
}
GET https://uptime4.com/api/dns-monitors/{dns_monitor_id}
curl --request GET \
--url 'https://uptime4.com/api/dns-monitors/{dns_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/dns-monitors/{dns_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": 0,
"name": "Sample",
"target": "example.com",
"dns": {
"A": [
{
"host": "example.com",
"ip": "12.12.12.12"
}
],
"CNAME": [],
"HINFO": [],
"CAA": [],
"MX": [],
...
},
"notifications": [1],
"settings": {
"dns_check_interval_seconds": 300
},
"total_checks": 1,
"total_changes": 0,
"last_check_datetime": "2024-01-03 01:48:42",
"next_check_datetime": "2024-01-03 01:49:13",
"last_change_datetime": null,
"is_enabled": true,
"datetime": "2026-04-21 02:09:35",
"last_datetime": null
}
}
POST https://uptime4.com/api/dns-monitors
| 매개변수 | 세부사항 | 설명 |
|---|---|---|
| name | 필수 문자열 | - |
| target | 필수 문자열 | - |
| project_id | 선택 사항 정수 | - |
| notifications | 선택 사항 배열 | 알림 처리기 ID |
| dns_check_interval_seconds | 선택 사항 정수 | 허용된 값: 300, 600, 1800, 3600, 21600, 43200, 86400 (초) |
| dns_types | 선택 사항 배열 | 허용된 값: A, CNAME, CAA, MX, NS, SOA, TXT, AAAA |
| is_enabled | 선택 사항 부울 | - |
curl --request POST \
--url 'https://uptime4.com/api/dns-monitors' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
--url 'https://uptime4.com/api/dns-monitors' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
{
"data": {
"id": 1
}
}
POST https://uptime4.com/api/dns-monitors/{dns_monitor_id}
| 매개변수 | 세부사항 | 설명 |
|---|---|---|
| name | 필수 문자열 | - |
| target | 필수 문자열 | - |
| project_id | 선택 사항 정수 | - |
| notifications | 선택 사항 배열 | 알림 처리기 ID |
| dns_check_interval_seconds | 선택 사항 정수 | 허용된 값: 300, 600, 1800, 3600, 21600, 43200, 86400 (초) |
| dns_types | 선택 사항 배열 | 허용된 값: A, CNAME, CAA, MX, NS, SOA, TXT, AAAA |
| is_enabled | 선택 사항 부울 | - |
curl --request POST \
--url 'https://uptime4.com/api/dns-monitors/{dns_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--url 'https://uptime4.com/api/dns-monitors/{dns_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
"data": {
"id": 1
}
}
DELETE https://uptime4.com/api/dns-monitors/{dns_monitor_id}
curl --request DELETE \
--url 'https://uptime4.com/api/dns-monitors/{dns_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/dns-monitors/{dns_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \